[Frage] Typo3 4.2.10 und PHP 5.4 TYPO3-Version: 4.2.10

  • typeof typeof
    T3PO
    0 x
    14 Beiträge
    0 Hilfreiche Beiträge
    14. 09. 2015, 17:38

    Hallo,

    ich habe hier vermutlich eine Version 4.2.10 und möchte diese PHP 5.4 kompatibel machen.

    Gibt es da einen beschriebenen Workaround für Frontend und Backend?

    Leider ist es mir trotz diverser Versuch in der localconf.php nicht möglich das error_reporting selektiv (ohne notices & warnings) anzuzeigen.

    Nur ein

    $TYPO3_CONF_VARS['SYS']['displayErrors'] = 0;

    bringt überhaupt eine Wirkung.

    Auch hier würde ich einen kleinen Tipp benötigen.

    Danke!

    typeof


  • 1
  • 0 x
    3270 Beiträge
    157 Hilfreiche Beiträge
    17. 09. 2015, 09:15

    Hallo.

    Wenn Du Fehler anzeigen möchtest, dann sollte der Wert [b]display[/b]Errors vermutlich eher in irgendeiner Weise ein "wahr" ergeben. 0 ergibt üblicherweise aber ein "nicht wahr".

    1. $TYPO3_CONF_VARS['SYS']['displayErrors'] = 1;

    Viele Grüße
    Julian

    Kleiner Hinweis:
    das Forum hier ist leider nicht mehr so frequentiert :-(
    Für schnellere Hilfe und mehr Leser, guck mal
    - auf stackoverflow ( https://stackoverflow.com/questions/tagged/typo3 )
    - oder in die slack-Channels ( https://typo3.org/community/meet/chat-slack )

  • typeof typeof
    T3PO
    0 x
    14 Beiträge
    0 Hilfreiche Beiträge
    17. 09. 2015, 19:05

    Das ist mir schon klar, dass auf diese Weise die Fehler ausgeblendet werden.

    Es ist aber leider die einzige Möglichkeit überhaupt etwas zu bewirken.

    Ich suche nach einer Möglichkeit die Fehler auf "deprecated", "strict", ... 'zu filtern', habe aber trotz diverser Versuche keine Möglichkeit gefunden.

    Es handelt sich übrigens um ein 1&1 Shared Hosting.

    Gruß

    typeof

  • 1